Subject: Re: newbie question & Readline bug report
From: "Pierre A. Humblet" <[email-masked]>
To: Schumann AG <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Fri, 26 Feb 1999 19:11:58 -0500

At 12:14 PM 2/26/99 +0100, Schumann AG wrote:
>The .inputrc file must be unix-style. That fixed it for me.
>
>[email-masked] wrote:
>> There must be something I am missing. I have tried the following: "set
>> bell-style none" in a .inputrc file in both the $HOME and / directories.
>> Upon logging in again, the bell persists.

What Schumann AG means is that .inputrc can't include \r 
EVEN ON TEXT MOUNTED PARTITIONS. That means there is a bug in readline.

Cygnus src/readline/bind.c
*******************************************
  i = read (file, buffer, finfo.st_size);
  close (file);
                                       The error is here:
  if (i != finfo.st_size)      <========================
    return (errno);
********************************************
It should be patched, e.g. to 
  if (i <= 0) 

By curiosity I looked up ftp.gnu.org
The bug is present in versions up to readline-2.2.1 but it 
appears to be fixed in readline-4.0

Pierre

--
Want to unsubscribe from this list?
Send a message to [email-masked]